/*
 * Original by Tim Aston for TransAmiga. TechnoBBS version by Janne Siren.
 *
 * Useful for those running FidoNet with TrapDoor.  Looks up the specified
 * node in the nodelist and displays some info about it (only users with
 * access 255 can see the passwords and costs).
 *  
 * NOTE: TrapDoor's traplist.library must be in Libs:
 *
 * MainMenu.dat:
 *
 * Command "NODE" (G: N:2)
 * {
 *    dos("rx >NIL: BBS:Rexx/TrapList.rexx \(node()) \(arg(1))");
 * }
 *
 */

	agr = Arg(1)

	Parse Var agr ln " " nd

	CLS	= D2C(12)
	CRLF	= D2C(10)||D2C(13)

	LineName = Con_LineActive(ln)

	If LineName = "" Then Exit 10

	Address Command
	Address Value LineName

	If nd = "" Then Do
		nd = AskInput(ln, "Enter node number: ", "", 40)
		SendModem CRLF
	End

	If ~Show("Libraries", "traplist.library") Then Do
		If ~AddLib("traplist.library", 0, -30, 0) Then Do
			SendModem CRLF||"[31mUnable to open traplist.library[0m"||CRLF||CRLF
			Exit 20
		End
	End

	data = FindNode(nd, "All", "NodeList:")
	ok = Left(data, 2)
	data = DelStr(data, 1, 2)

	If ~ok Then Do
		SendModem "[31m"||data||"!"||CRLF||CRLF
		Exit 10
	End

	node. = ""
	bar = "================================================================================"

	Parse Var data node.Addr "," node.Sysop "," node.System "," node.Phone "," node.City "," node.Password "," node.Baud "," node.Cost "," node.Region "," node.HUB "," node.Flags

	SendModem node.System||" ("||node.Addr||")"||CRLF||"[32m"||Left(bar, Length(node.System||" ("||node.Addr||")"))||CRLF||"[33m SYSOP:[0m "||node.Sysop||CRLF||"[33m PHONE:[0m "||node.Phone||CRLF||"[33m MODEM:[0m "||node.Baud||CRLF||"[33m  CITY:[0m "||node.City||CRLF||"[33mREGION:[0m "||node.Region||CRLF||"[33m   HUB:[0m "||node.HUB||CRLF||"[33m FLAGS:[0m "||node.Flags||CRLF

	If GetUserAccess(ln) >= 255 Then Do
		SendModem "[33mPASSWD:[0m "||node.Password||CRLF||"[33m  COST:[0m "||node.Cost||CRLF
	End

	SendModem CRLF

	Exit
